perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Philippe M. Chiasson" <go...@ectoplasm.org>
Subject Re: Help needed for mod_perl 1.31-rc6 and Apache::Bootstrap
Date Mon, 30 Mar 2009 16:13:45 GMT
On 30/3/09 12:02, David E. Wheeler wrote:
> On Mar 26, 2009, at 1:20 PM, Fred Moyer wrote:
> 
>> There's a couple of mod_perl related releases now that need people to
>> test them out.  It takes less time to download, untar, and run the
>> test suite for these two releases than it does to write a response to
>> the 'decline of mod_perl' thread that has been going around :)  Plus,
>> it will help make you a better mod_perl user and developer.
>>
>>
>> Help needed with testing mod_perl 1.31 rc6
>>
>> http://marc.info/?l=apache-modperl&m=123726111905517&w=2
> 
> benedict% USER=dougm /usr/local/bin/perl Makefile.PL \
>  >   USE_APXS=1 \
>  >   WITH_APXS=/usr/local/apache/bin/apxs \
>  >   USE_DSO=1 \
>  >   EVERYTHING=1
> Will configure via APXS (apxs=/usr/local/apache/bin/apxs)
> Will configure via APACI (DSO enabled)
> PerlDispatchHandler.........enabled
> PerlChildInitHandler........enabled
> PerlChildExitHandler........enabled
> PerlPostReadRequestHandler..enabled
> PerlTransHandler............enabled
> PerlHeaderParserHandler.....enabled
> PerlAccessHandler...........enabled
> PerlAuthenHandler...........enabled
> PerlAuthzHandler............enabled
> PerlTypeHandler.............enabled
> PerlFixupHandler............enabled
> PerlHandler.................enabled
> PerlLogHandler..............enabled
> PerlInitHandler.............enabled
> PerlCleanupHandler..........enabled
> PerlRestartHandler..........enabled
> PerlStackedHandlers.........enabled
> PerlMethodHandlers..........enabled
> PerlDirectiveHandlers.......enabled
> PerlTableApi................enabled
> PerlLogApi..................enabled
> PerlUriApi..................enabled
> PerlUtilApi.................enabled
> PerlFileApi.................enabled
> PerlConnectionApi...........enabled
> PerlServerApi...............enabled
> PerlSections................enabled
> PerlSSI.....................enabled
> Will run tests as User: 'david' Group: 'david'
> Configuring mod_perl for building via APXS
>   + Creating a local mod_perl source tree
>   + Setting up mod_perl build environment (Makefile)
>   + id: mod_perl/1.31-rc6
>   + id: Perl/v5.10.0 (darwin) [/usr/local/bin/perl]
> Now please type 'make' to build libperl.so
> Checking CGI.pm VERSION..........ok
> Checking for LWP::UserAgent......ok
> Checking for HTML::HeadParser....ok
> Checking if your kit is complete...
> Looks good
> Writing Makefile for Apache
> Writing Makefile for Apache::Connection
> Writing Makefile for Apache::Constants
> Writing Makefile for Apache::File
> Writing Makefile for Apache::Leak
> Writing Makefile for Apache::Log
> Writing Makefile for Apache::ModuleConfig
> Writing Makefile for Apache::PerlRunXS
> Writing Makefile for Apache::Server
> Writing Makefile for Apache::Symbol
> Writing Makefile for Apache::Table
> Writing Makefile for Apache::URI
> Writing Makefile for Apache::Util
> Writing Makefile for mod_perl
> benedict% make
> (cd ./apaci && PERL5LIB=/Users/david/Downloads/mod_perl-1.31-rc6/lib:  
> make)
> make[1]: *** No rule to make target `libperl.so', needed by `lib'.   
> Stop.
> make: *** [apxs_libperl] Error 2
> benedict% make
> (cd ./apaci && PERL5LIB=/Users/david/Downloads/mod_perl-1.31-rc6/lib:  
> make)
> make[1]: *** No rule to make target `libperl.so', needed by `lib'.   
> Stop.
> make: *** [apxs_libperl] Error 2
> 
> % perl -v
> 
> This is perl, v5.10.0 built for darwin-2level

Hrm, that's strange, I can build that combo just fine on Linux, so something
is up. Any chance I could have a look at that Makefile ?

-- 
Philippe M. Chiasson     GPG: F9BFE0C2480E7680 1AE53631CB32A107 88C3A5A5
http://gozer.ectoplasm.org/       m/gozer\@(apache|cpan|ectoplasm)\.org/


Mime
View raw message